org.apache.ignite.internal.visor.node

## Class VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg

All Implemented Interfaces:
  Serializable

Enclosing class:
  VisorNodeEventsCollectorTask

    public static class VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg
    extends Object
    implements Serializable

Argument for task returns events data.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg(String keyOrder, int[] typeArg, Long timeArg, String taskName, IgniteUuid taskSesId)`

### Method Summary

Methods
`static VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg` `createEventsArg(int[] typeArg, Long timeArg)`
`static VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg` `createLogArg(String keyOrder, int[] typeArg)`
`static VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg` `createTasksArg(Long timeArg, String taskName, IgniteUuid taskSesId)`
`String` `keyOrder()`
`String` `taskName()`
`IgniteUuid` `taskSessionId()`
`Long` `timeArgument()`
`String` `toString()`
`int[]` `typeArgument()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg

    public VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg(@Nullable
                                                                String keyOrder,
                                                                @Nullable
                                                                int[] typeArg,
                                                                @Nullable
                                                                Long timeArg,
                                                                @Nullable
                                                                String taskName,
                                                                @Nullable
                                                                IgniteUuid taskSesId)

Parameters:
  `keyOrder` - Arguments for node local storage key.
  `typeArg` - Arguments for type filter.
  `timeArg` - Arguments for time filter.
  `taskName` - Arguments for task name filter.
  `taskSesId` - Arguments for task session filter.

### Method Detail

#### createEventsArg

    public static VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg createEventsArg(@Nullable
                                                                               int[] typeArg,
                                                                               @Nullable
                                                                               Long timeArg)

Parameters:
  `typeArg` - Arguments for type filter.
  `timeArg` - Arguments for time filter.

#### createTasksArg

    public static VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg createTasksArg(@Nullable
                                                                              Long timeArg,
                                                                              @Nullable
                                                                              String taskName,
                                                                              @Nullable
                                                                              IgniteUuid taskSesId)

Parameters:
  `timeArg` - Arguments for time filter.
  `taskName` - Arguments for task name filter.
  `taskSesId` - Arguments for task session filter.

#### createLogArg

    public static VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg createLogArg(@Nullable
                                                                            String keyOrder,
                                                                            @Nullable
                                                                            int[] typeArg)

Parameters:
  `keyOrder` - Arguments for node local storage key.
  `typeArg` - Arguments for type filter.

#### keyOrder

    @Nullable
    public String keyOrder()

Returns:
  Node local storage key.

#### typeArgument

    public int[] typeArgument()

Returns:
  Arguments for type filter.

#### timeArgument

    public Long timeArgument()

Returns:
  Arguments for time filter.

#### taskName

    public String taskName()

Returns:
  Task or job events with task name contains.

#### taskSessionId

    public IgniteUuid taskSessionId()

Returns:
  Task or job events with session.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015